Cyberduck Mountain Duck CLI

#9984 closed feature (fixed)

Support to queue transfers

Reported by: szejper Owned by: dkocher
Priority: high Milestone: 6.6.0
Component: core Version: 6.0.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: macOS 10.12

Description

Hi, I set the CD to only one connection at a time for upload. In the past It worked I'd queue up 3 files per connection and then add 5 more connections. CD would upload them in a sequence. Now when I want to add the second batch of files , CD starts to upload that batch along with the first one. It brings the bandwidth down on both connections and times out servers. Any ideas are appreciated

Pawel

Change History (10)

comment:1 Changed on Jun 22, 2017 at 6:41:47 PM by dkocher

  • Component changed from ftp to core
  • Milestone set to 7.0
  • Summary changed from Single connection to Support to queue transfers
  • Type changed from defect to feature

The option to queue transfers has been removed in version 6. We will see if we can bring the option back.

comment:3 Changed on Aug 14, 2017 at 9:48:21 AM by dkocher

#10044 closed as duplicate.

comment:4 Changed on Sep 4, 2017 at 1:07:01 PM by dkocher

#10067 closed as duplicate.

comment:5 Changed on Nov 8, 2017 at 10:32:12 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:6 Changed on Nov 21, 2017 at 6:34:16 PM by skjdoykg

Looking forward to this fix, queuing is a feature I require and it used to work fine in Cyberduck. I upload via https webdav.

comment:7 Changed on Apr 25, 2018 at 11:28:51 AM by wrecclesham

Insane that this was removed and even worse that it wasn't communicated. I wasted hours troubleshooting this today. There are nine features listed in the v6 changelog and none of those entries made any mention of the fact that the ability to control the number of concurrent connections in the transfer queue had been quietly taken out. It was also confusing that the menu option for the disabled feature was left in in the user interface, so we are left wondering why a prominent button doesn't work anymore. I don't need multiple 30 GB files downloading simultaneously and have reluctantly switched to FileZilla until this is fixed.

Last edited on Apr 25, 2018 at 11:37:52 AM by wrecclesham (previous) (diff)

comment:8 Changed on Apr 25, 2018 at 3:12:05 PM by zzoebl

I also struggled with this, I hope you can fix this soon. Thanks.

comment:9 Changed on May 21, 2018 at 10:33:12 AM by dkocher

  • Milestone changed from 7.0 to 6.6.0

comment:10 Changed on May 21, 2018 at 12:18:37 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r10331, r44302 and r44303.

Note: See TracTickets for help on using tickets.
swiss made software